<nav class="navbar navbar-toggleable-md navbar-inverse fixed-top bg-inverse">
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo01" aria-controls="navbarTogglerDemo01" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="collapsingNavbar">
      <a class="navbar-brand" routerLink="/">GateKeeper</a>

      <ul class="navbar-nav mr-auto mt-2 mt-lg-0">
        <li class="nav-item">
          <a class="nav-link" routerLink="/" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }">Home <span class="sr-only">Home </span></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" routerLink="/dashboard" routerLinkActive="active" [hidden]="!authSvc.hasValidIdToken()">Dashboard <span class="sr-only">Dashboard </span></a>
        </li>
        
      </ul>

      <ul class="navbar-nav mr-sm2 float-right">
        <!--li class="nav-item">
          <a class="nav-link" [routerLink]="['/Signup']" [hidden]="profile.mail">Signup</a>
        </li-->
        <li class="nav-item">
          <a class="nav-link" routerLink="/login" routerLinkActive="active" [hidden]="authSvc.hasValidIdToken()">
            Login
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" routerLink="/logout" routerLinkActive="active" [hidden]="!authSvc.hasValidIdToken()">
            Logout
          </a>
        </li>
        
        <!--li class="nav-item dropdown" [hidden]="!profile.mail" dropdown [isOpen]="status.isopen">
          <a class="nav-link dropdown-toggle" data-toggle="toggle" href="#" role="button" aria-haspopup="true" aria-expanded="false" (click)="toggleDropdown($event)" dropdown-toggle>
            <gravatar [email]="profile.mail" imgSize="30"></gravatar>
            {{profile.givenName}} {{profile.sn}}
          </a>

          <div class="dropdown-menu" aria-labeledby="Profile">
            <a class="dropdown-item" [routerLink]="['/Profile/Home']">Profile</a>
            <a class="dropdown-item" [routerLink]="['/Logout']">Logout</a>
          </div>
        </li>

        <li class="nav-item">
        </li-->
    </ul>
  </div>
</nav>
